using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 机构人员
    /// </summary>
    [Description("机构人员")]
    [DataRecord(DataDirection.Push)]
    public partial class T_OG_AGENCY_USER : MesEntityBase
    {
        /// <summary>
        /// 机构ID
        /// </summary>
        [Description("机构")]
        [DataFieldForeignKey("Nav_Agency", "Nav_Users")]
        public Guid? AGENCY_ID { get; set; }
        /// <summary>
        /// 导航：机构
        /// </summary>
        [Description("导航：机构")]
        public T_OG_AGENCY Nav_Agency { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string NAME { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 人员
        /// </summary>
        [Description("导航：人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        [FormFieldEdit]
        public int NUM { get; set; }
    }
}
